<?php

use App\Enums\IsActive;
use App\Models\Department;
use Illuminate\Foundation\Testing\RefreshDatabase;

uses(RefreshDatabase::class);

test('department can be created', function () {
    $dept = Department::factory()->create(['name' => 'IT Research', 'alias' => 'ITR']);
    expect($dept->name)->toBe('IT Research');
    expect($dept->is_active)->toBe(IsActive::ACTIVE);
});
